import os
import sys
from typing import Union

import git


class Update:

    def __init__(self, name: Union[str, None] = None) -> None:
        self.name = name or 'origin'
        print(f"Name: {self.name}")

    def git_update(self):
        repo = git.Repo('.')

        r = git.Remote(repo, self.name)
        r.pull()

    @staticmethod
    def restart_bot():
        if len(sys.argv) >= 2 and sys.argv[1] == 'restart':
            return
        os.execvp(sys.executable, [sys.executable, sys.argv[0], 'restart'])