# Installing
**Create VirtualEnv**
```
python -m venv venv
```
**Activate VirtualEnv**
```
source venv/bin/activate
```
**Installing requirements**
```
pip install -r requirements.txt
```
**Rename example_config.ini -> config.ini
Enter Telegram Bot API Token on config.ini

Optional: setup webhook, telegram bot api server, etc.

Enter DocumentID ([How to get DocumentID](https://developers.google.com/docs/api/how-tos/overview#document_id))

[Create project and enable Docs API](https://developers.google.com/workspace/guides/create-project)

Put credentials.json ([How to get credentials.json](https://developers.google.com/workspace/guides/create-credentials?hl=ru#create_a_oauth_client_id_credential))**

**Run setup docs parser**
```
python setup_google_docs_api.py
```
**Follow Setup Wizard
Open web page
Login your account
If you get error, setup redirect in Project**

# Running
```
python bot.py
```
**Run on docker: Supported!**
